package com.cooleshow.base.injection.component

import android.app.Activity
import android.content.Context
import com.cooleshow.base.injection.ActivityScope
import com.cooleshow.base.injection.module.ActivityModule
import com.cooleshow.base.injection.module.LifecycleProviderModule
import com.trello.rxlifecycle4.LifecycleProvider
import dagger.Component

/*
    Activity级别Component
 */
@ActivityScope
@Component(dependencies = arrayOf(AppComponent::class),
    modules = arrayOf(ActivityModule::class,LifecycleProviderModule::class))
interface ActivityComponent {
    fun activity():Activity
    fun context(): Context
    fun lifecycleProvider(): LifecycleProvider<*>
}
